from mod1_var4 import generate_pulse_signal

amplitude = float(input("Амплитуда: "))
pulse_width = int(input("Длительность импульса: "))
period = int(input("Период: "))
num_samples = int(input("Число отсчетов: "))
filename = input("Имя файла: ")

signal = generate_pulse_signal(amplitude, pulse_width, period, num_samples, filename)
print("Сигнал создан и записан в файл:", filename)